<nb-card>
  <nb-card-header class="d-flex">
    <h6 class="flex-grow-1">Your profile</h6>
    <nb-actions>
      <nb-action icon="person-done-outline" (click)="changeProfile()"></nb-action>
      <nb-action icon="unlock-outline" (click)="changePassword()"></nb-action>
    </nb-actions>
  </nb-card-header>
  <nb-card-body class="d-flex">
    <div class="avatar-container flex-grow-1 w-50">
      <img [src]="getAvatar()" alt="Avatar"/>
    </div>
    <div class="details-container flex-grow-1 w-50">
      <div class="form-group">
        <label class="label" for="username">Username:</label>
        <input id="username" class="form-control" fullWidth nbInput disabled [value]="user.username"/>
      </div>
      <div class="form-group">
        <label class="label" for="email">Email address:</label>
        <input id="email" class="form-control" fullWidth nbInput disabled [value]="user.email"/>
      </div>
    </div>
  </nb-card-body>
</nb-card>
